import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class CredentialsTest {

    @Test
    void existingCheck() {
        Credentials cred = new Credentials("apple", "windows");
        assertNotNull(cred);
    }

    @Test
    void validData() {
        Credentials cred = new Credentials("hofmannol", "GERONIMO");
        assertTrue(cred.valid());
    }

    @Test
    void validWrongData() {
        Credentials cred = new Credentials("hofmannol", "GEHEIM123");
        assertFalse(cred.valid());
    }

}